<template>
  <header v-if="isAuthenticated">
    <TheNavigation />
  </header>
  <div id="container" class="mx-auto">
    <router-view v-slot="{Component, route}">
      <transition name="fade" mode="out-in">
        <div :key="route.path">
          <component :is="Component"></component>
        </div>
      </transition>
    </router-view>
  </div>
  <footer v-if="isAuthenticated">
    <TheBottomNavigation />
  </footer>
</template>

<script>
  import store from './store';
  import TheNavigation from './components/TheNavigation.vue';
  import TheBottomNavigation from './components/TheBottomNavigation.vue';
  export default {
    data() {
      return {
        isAuthenticated: false
      };
    },
    components: {
      TheNavigation,
      TheBottomNavigation
    },
    watch: {
      $route() {
        this.isAuthenticated = true ? store.getUserToken() != null : false;
      }
    }
  };
</script>

<style>
  .fade-enter-active, .fade-leave-active {
    transition: opacity 0.3s;
  }

  .fade-enter, .fade-leave-to {
    opacity: 0;
  }
</style>